org.apache.ignite.internal.visor.event

## Class VisorGridDeploymentEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent
  - - org.apache.ignite.internal.visor.event.VisorGridDeploymentEvent

All Implemented Interfaces:
  Serializable

    public class VisorGridDeploymentEvent
    extends VisorGridEvent

Lightweight counterpart for `DeploymentEvent`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridDeploymentEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, String alias)` Create event with given parameters.

### Method Summary

Methods
`String` `alias()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`id, message, name, nid, shortDisplay, timestamp, typeId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridDeploymentEvent

    public VisorGridDeploymentEvent(int typeId,
                            IgniteUuid id,
                            String name,
                            UUID nid,
                            long ts,
                            @Nullable
                            String msg,
                            String shortDisplay,
                            String alias)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `alias` - Deployment alias.

### Method Detail

#### alias

    public String alias()

Returns:
  Deployment alias.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015